//
//  ELTLVModel.h
//  AILinkBleSDK
//
//  Created by LarryZhang on 2022/9/6.
//  Copyright © 2022 IOT. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface ELTLVModel : NSObject

@property(nonatomic, assign) UInt8 type; //T

@property(nonatomic, assign, readonly) UInt8 length; //L

@property(nonatomic, strong) NSData *value; //V



- (instancetype)initWithType:(UInt8)type;

- (instancetype)initWithType:(UInt8)type value:(NSData *)value;

//type 1 Byte  lengh 1 Byte
+ (NSArray<ELTLVModel *> *)objectArrayWithData:(NSData * _Nonnull)data;

@property(nonatomic, strong, readonly) NSData *data;

@end

NS_ASSUME_NONNULL_END
